
function pictureFlow(paths, title)
{
    if (!title)
        title = "Select an Image";


    var html = makeWebpageExternal("index.html", "pictureflow"),
        imghtml = "";
    for (var i in paths)
        imghtml += "<div class=\"item\" title=\"" + paths[i]
                + "\"><img class=\"content\" src=\"file://"
                + makeBmpExternal(paths[i]) + "\" /></div>";
    html = html.replace("<!-- IMAGEHTML -->", imghtml);


    var form = new Form(title);
    form.setClientSize(800, 340);
    form.setMinSize(form.getSize());
    form.setMaxSize(form.getSize());
    form.center();
    
    form.web = new WebBrowser();
    
    var layout = new BoxLayout();
    layout.add(form.web, 1, Layout.Expand);
    form.setLayout(layout);

    form.web.showHypertext(html);
    form.web.waitUntilReady();

    // capture the image click
    var evt = new Event;
    evt.connect(function() { pictureFlow.form.endDialog(DialogResult.OK); });
    var body = form.web.getDOMDocument().getElementsByTagName("body")[0];
    body.addEventListener("signal", evt);

    // show the modal dialog
    pictureFlow.form = form;
    if (form.showDialog() == DialogResult.OK)
        return body.getAttribute("path");
    else
        return null;
}
